There is no reason it should not work. Did I mention that BlueProximity has now made it into Hardy Heron? You could download that package directly and it should install on Feisty and Gutsy without a problem. The python-support dependency was build-time only and was a mistake in the old .deb file.
Bye
Lars